/* **************** */
/****** Global ******/
/* **************** */

html, body {
    height: 100%;
}

.validation-summary-errors.invalid-feedback {
    display: block;
    position: static;
    padding: 0;
    margin-bottom: 0.85rem!important;
}

.validation-summary-errors.invalid-feedback ul {
    list-style: none;
    margin: 0;
    padding: 0;
}

/* **************** */
/*** Public Layout **/
/* **************** */
.public-layout {
    height: 100%;
    display: flex;
    flex-direction: column;
}

.public-layout .layout-body {
    flex: 1;
}

.public-layout footer ul {
    display: flex;
    justify-content: center;
    list-style: none;
    font-size: 13px;
}

.public-layout footer li::after {
    content: " | ";
    display: inline-block;
    margin: 0 27px;
}

.public-layout footer li:last-child::after {
    content: "";
}

/* **************** */
/** Sign In Layout **/
/* **************** */

.signin-layout {
    height: 100%;
}

/* **************** */
/** Confirm Email ***/
/* **************** */

.confirm-email-container {
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

/* ********************** */
/** Internal Server Error */
/* ********************** */

.internal-server-error-container {
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

/* **************** */
/**** Settings ******/
/* **************** */
@media (min-width: 991.98px) {
    main {
        padding-left: 240px;
    }
}

/* Sidebar */
.sidebar {
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    padding: 58px 0 0; /* Height of navbar */
    box-shadow: 0 2px 5px 0 rgb(0 0 0 / 5%), 0 2px 10px 0 rgb(0 0 0 / 5%);
    width: 240px;
    z-index: 600;
}

@media (max-width: 991.98px) {
    .sidebar {
        width: 100%;
    }
}

.sidebar .active {
    border-radius: 5px;
    box-shadow: 0 2px 5px 0 rgb(0 0 0 / 16%), 0 2px 10px 0 rgb(0 0 0 / 12%);
}

.sidebar-sticky {
    position: relative;
    top: 0;
    height: calc(100vh - 48px);
    padding-top: 0.5rem;
    overflow-x: hidden;
    overflow-y: auto; /* Scrollable contents if viewport is shorter than content. */
}
